#! perl
# Strip layout codes <line> and <indent> from XML output

use strict;

sub layoutXml {
	while (<>) {
		# ingore some lines
		next if m'<indent>';
		next if m'</indent>';
		
		# ignore some text
		s'<line>'';
		s'</line>'';
		s'<line/>'';

		# get end of line correct
		chomp;
		print "$_\n";
		}
	}

layoutXml;
